<?php
// Addon identification for the roster admin interface
$addon_name = 'Treasury System';
$addon_version = '1.1';
$addon_creator_name = 'Michael Birnbaum';
$addon_creator_nick = 'Silencer-ch-au';
$addon_creator_email = 'my_fire_and_ice@hotmail.com';
$addon_description = 'A guild bank with shopping system';
$addon_folder_name = 'treasurySystem';
$addon_pic_path = 'images/INV_Box_02.jpg';
$addon_settings_qstring = 'treasurySettings';
### List the tables for this Addon ###
$addon_tables[0] = 'addon_treasurysystem_items_price';
$addon_tables[1] = 'addon_treasurysystem_orders';
$addon_tables[2] = 'addon_treasurysystem_settings';
### List the upgrade filename, without .sql ###
$upgrade_tables[0] = 'upgrade';
$db_prefix = 'roster_';

require_once('modules/roster/settings.php');
require_once('modules/roster/conf.php');

if($_REQUEST['roster_addon_name'] !== "addonAdmin"){ // Dont execute the rest if the admin page is scanning for addons.

//	if(basename($_SERVER['PHP_SELF'])=='treasuryUUreport.php'){
// Get database access functions
		require_once 'modules/roster/addons/treasurySystem/lib/db.php';
//	}else{
//	Authentication
//		require_once '../authenticationSystem/addon_config.php';
//	}

	// Define static table references to provide for table prefixes
	define('ROSTER_ADDON_ITEMSPRICETABLE',$db_prefix.$addon_tables[0]);
	define('ROSTER_ADDON_ORDERSTABLE',$db_prefix.$addon_tables[1]);
	define('ROSTER_ADDON_TREASURYSETTINGSTABLE',$db_prefix.$addon_tables[2]);
	
	
	// Check if the tables exist
	$DBfunctions = new DBfunctions;
	$DBfunctions->connect();
	foreach($addon_tables as $tableName){
		if($DBfunctions->getCount($DBfunctions->query("SHOW TABLES LIKE '".$db_prefix.$tableName."'"))!==1) 
		print "Table ".$db_prefix.$tableName." could not be found, chances are that you haven't installed the Addon '".$addon_name."' from the admin page";
	}
	
	// Get localized text
	// global $roster_lang;
	$roster_lang = 'enUS';
	require_once 'modules/roster/addons/treasurySystem/localization/'.$roster_lang.'.php';
	
	// Load the class with the addon's functions
	require_once 'modules/roster/addons/treasurySystem/treasurySystem.php';
	
}else{
	// Define static table references to provide for table prefixes
	@define('ROSTER_ADDON_ITEMSPRICETABLE',$db_prefix.'treasurysystem_items_price');
	@define('ROSTER_ADDON_ORDERSTABLE',$db_prefix.'treasurysystem_orders');
	@define('ROSTER_ADDON_TREASURYSETTINGSTABLE',$db_prefix.'treasurysystem_settings');
}
?>