-- 
-- Table structure for table `roster_addon_treasurysystem_items_price`
-- 

DROP TABLE IF EXISTS `roster_addon_treasurysystem_items_price`;
CREATE TABLE `roster_addon_treasurysystem_items_price` (
  `item_name` varchar(64) NOT NULL default '',
  `stack_size` int(11) NOT NULL default '1',
  `price` int(11) NOT NULL default '0',
  `type` varchar(11) NOT NULL default '',
  PRIMARY KEY  (`item_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Table structure for table `roster_addon_treasurysystem_orders`
-- 

DROP TABLE IF EXISTS `roster_addon_treasurysystem_orders`;
CREATE TABLE `roster_addon_treasurysystem_orders` (
  `order_id` int(11) unsigned NOT NULL auto_increment,
  `item_name` varchar(64) NOT NULL default '',
  `reserved_quantity` int(11) NOT NULL default '0',
  `member_id` int(11) unsigned NOT NULL default '0',
  `treasurer_id` int(11) unsigned NOT NULL default '0',
  `order_history` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`order_id`,`treasurer_id`,`member_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

-- 
-- Table structure for table `roster_addon_treasurysystem_settings`
-- 

DROP TABLE IF EXISTS `roster_addon_treasurysystem_settings`;
CREATE TABLE `roster_addon_treasurysystem_settings` (
  `field_name` varchar(20) NOT NULL default '',
  `identification_tag` varchar(50) NOT NULL default '',
  `items_per_page` int(2) NOT NULL default '0',
  `price_status` char(3) NOT NULL default '',
  `super_users` varchar(255) NOT NULL default '',
  `members_only` char(3) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `roster_addon_treasurysystem_settings`
-- 

INSERT INTO `roster_addon_treasurysystem_settings` (`field_name`, `identification_tag`, `items_per_page`, `price_status`, `super_users`, `members_only`) VALUES ('officer_note', 'Guild Mule', 5, 'on', 'Zgbankone,Zgbanktwo', '');
