<?php 
ob_start();

require_once 'addon_config.php';

# guildbank3.php and treasurySystem.php
# Copyright 2005 my_fire_and_ice@hotmail.com
# Inspired by the original: guildbank.php, its code is used and improved upon here.
# guildbank.php code Copyright 2005 by: vaccafoeda.hellscream@gmail.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Affero General Public License as published by
# Affero, Incorporated; either version 1, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Affero General Public License for more details.
#
# You should have received a copy of the Affero General Public License
# along with this program; if not, download it from http://www.affero.org/

// Load the class file
require_once 'treasurySystem.php';
require_once 'modules/roster/settings.php';
require_once 'modules/roster/conf.php';

// Initialize the system, the order is very important
$TreasurySystem = new TreasurySystem();
$TreasurySystem->settings();
$TreasurySystem->makeHistory();
$TreasurySystem->deleteOrder();
$TreasurySystem->getOrders();
$TreasurySystem->orderItem();
$TreasurySystem->setPrice();
$TreasurySystem->generateSearchString();
$TreasurySystem->resetUser();
$TreasurySystem->recordSets();
$TreasurySystem->URLextensions();

?>
<link href="modules/roster/addons/treasurySystem/css/styles.css" rel="stylesheet" type="text/css">

<div align="center" >
<!--//////// These are the design elements around the content area \\\\\\\\-->
<table width="95%" border="0" cellspacing="0" cellpadding="0">
  <tr><form action="<?php print sprintf("modules.php?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&searchform=active");?>" method="post" id="searchform" name="searchform">
    <td width="18%" class="searchElementItemName" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r1_c1.gif);"><?php print $wordings[$roster_lang]['itemName']; ?><br>
      <input name="item_name_field" type="text" class="gt_membersHeader" size="15" maxlength="64" style="width:100px;">
    </td>
    <td width="78%" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r1_c3.gif);" valign="top"><div class="treasuryTitle" align="center"><?php print $wordings[$roster_lang]['browseTreasury']; ?></div>
      <div class="searchElements">
	  	<div class="searchElementsLvlRange"><?php print $wordings[$roster_lang]['levelRange']; ?><br>
        <input name="lvl_range_from" class="gt_membersHeader" type="text" size="2" maxlength="2"> - <input name="lvl_range_to" class="gt_membersHeader" type="text" size="2" maxlength="2">
		</div>
		<div class="searchElementsItemType"><?php print $wordings[$roster_lang]['itemType']; ?><br>
		<select name="item_type" class="gt_membersHeader">
		  <option value="select"><?php print $wordings[$roster_lang]['select']; ?></option>
		  <option style="color:#FFFFFF;"><?php print $wordings[$roster_lang]['recipes']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['requires']." +".$wordings[$roster_lang]['alchemy'].""; ?>'><?php print $wordings[$roster_lang]['alchemy']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['requires']." +".$wordings[$roster_lang]['blacksmithing'].""; ?>'><?php print $wordings[$roster_lang]['blacksmithing']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['requires']." +".$wordings[$roster_lang]['enchanting'].""; ?>'><?php print $wordings[$roster_lang]['enchanting']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['requires']." +".$wordings[$roster_lang]['engineering'].""; ?>'><?php print $wordings[$roster_lang]['engineering']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['requires']." +".$wordings[$roster_lang]['leatherworking'].""; ?>'><?php print $wordings[$roster_lang]['leatherworking']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['requires']." +".$wordings[$roster_lang]['tailoring'].""; ?>'><?php print $wordings[$roster_lang]['tailoring']; ?></option>
		  <option><hr></option>
		  <option style="color:#FFFFFF"><?php print $wordings[$roster_lang]['armor']." ".$wordings[$roster_lang]['type'].":"; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['cloth']." +".$wordings[$roster_lang]['armor']." -".$wordings[$roster_lang]['requires'].""; ?>'><?php print $wordings[$roster_lang]['cloth']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['leather']." +".$wordings[$roster_lang]['armor']." -".$wordings[$roster_lang]['requires'].""; ?>'><?php print $wordings[$roster_lang]['leather']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['mail']." +".$wordings[$roster_lang]['armor']." -".$wordings[$roster_lang]['requires'].""; ?>'><?php print $wordings[$roster_lang]['mail']; ?></option>
		  <option value='<?php print "+".$wordings[$roster_lang]['plate']." +".$wordings[$roster_lang]['armor']." -".$wordings[$roster_lang]['requires'].""; ?>'><?php print $wordings[$roster_lang]['plate']; ?></option>
		  <option><hr></option>
		  <option value='<?php print '+"'.$wordings[$roster_lang]['dps'].'" -'.$wordings[$roster_lang]['requires'].''; ?>'><?php print $wordings[$roster_lang]['weapons']; ?></option>
		</select>
		</div>
		
        <div class="searchElementsRarity"><?php print $wordings[$roster_lang]['rarity']; ?><br>
        <select name="rarity" class="gt_membersHeader">
		  <option value="select"><?php print $wordings[$roster_lang]['select']; ?></option>
          <option value="ffffffff" style="color:#FFFFFF"><?php print $wordings[$roster_lang]['standard']; ?></option>
          <option value="ff1eff00" style="color:#1eff00"><?php print $wordings[$roster_lang]['superior']; ?></option>
          <option value="ff0070dd" style="color:#0070dd"><?php print $wordings[$roster_lang]['rare']; ?></option>
          <option value="ffa335ee" style="color:#a335ee"><?php print $wordings[$roster_lang]['epic']; ?></option>
        </select>
		</div>
		
		<div class="searchElementsTreasurer"><?php print $wordings[$roster_lang]['treasurer']; ?><br>
		<select name="select_treasurer" class="gt_membersHeader">
		<option value="select"><?php print $wordings[$roster_lang]['select']; ?></option>
		<?php for($i=1; $i<=count($_SESSION['treasurerNames']); $i++){
				print "<option value=".$_SESSION['treasurerNames'][$i].">".$_SESSION['treasurerNames'][$i]."</option>";
		} ?>
		</select>
		</div>
		
		<div class="searchElementsSearchButton">
		<?php if((!isset($_COOKIE['search_query_string'])) && (!isset($_COOKIE['item_color'])) && (!isset($_COOKIE['select_treasurer']))){?>
			<input name="Search" type="submit" class="gt_membersHeader" value="Search" >
		<?php } else { ?>
			<a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s&searchform=clear", "modules.php", 0, $_SESSION['queryString_Recordset2']); ?>" class="gt_membersHeader"><?php print $wordings[$roster_lang]['clearSearch']; ?></a>
        <?php } ?>
		</div>
     </div> </td>
  </form>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r1_c7.gif); width:39px;">&nbsp;</td>
  </tr>
  <tr>
    <td valign="top" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r2_c1.gif);">
	  <div class="sideMenuButtons" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/filter_menu_button.jpg);" align="center"><a href="modules.php?name=roster&op=addon&roster_addon_name=treasurySystem&username=<?php echo $_SESSION['UserName']; ?> &orderStatus"><span class="sideMenuButtonText">Orders Status Page</span></a></div><br>	
	<?php if($TreasurySystem->loanSystemExists()){ ?>
	  <div class="sideMenuButtons" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/filter_menu_button.jpg);" align="center"><a href="modules.php?name=roster&op=addon&roster_addon_name=loanSystem"><span class="sideMenuButtonText">Loan System</span></a></div>
	<?php } ?>
	  <div class="sideMenuButtons" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/filter_menu_button.jpg);" align="center"><a href="modules.php?name=roster"><span class="sideMenuButtonText">Back to the Roster</span></a></div>
	</td>
    <td bgcolor="#141414">
<div>
<!-- ////// Content comes here \\\\\\ -->
<?php if(empty($_SESSION['membersOnly']) || ($_SESSION['membersOnly'] == 'on' && !empty($_SESSION['UserName']))) { ?>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="1"  bgcolor="#000000">
  <tr class="gt_membersHeader"><th><div class="tableHeaderText"><?php print $wordings[$roster_lang]['heldBy']; ?></div></th><th colspan=2><div class="tableHeaderText"><?php print $wordings[$roster_lang]['itemNameNDesc']; ?></div></th><?php if($_SESSION['Price']['Status']=="on"){ ?><th width="62"><div class="tableHeaderText"><?php print $wordings[$roster_lang]['price']; ?></div></th><?php } ?></tr>
  <tr>
    <td colspan="5" bgcolor="#575757"><img name="transparent" src="" width="1" height="1" alt=""></td>
    </tr>
  <tr class="gt_membersHeader">
    <th align="left"><a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", 0, $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['first']; ?></a>&nbsp;|&nbsp;<a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", max(0, $_SESSION['pageNum_Recordset'] - 1), $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['previous']; ?></a> </th>
    <th colspan=3 align="right"><a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset'] + 1), $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['next']; ?></a>&nbsp;|&nbsp;<a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", $_SESSION['totalPages_Recordset'], $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['last']; ?></a>&nbsp;</th>
  </tr>
<?php  
// for as many times as you've set itemsPerPage to, do.. everything..

for($o=1; $o<=$_SESSION['itemsPerPage']; $o++)
{
$i = $o+$_SESSION['itemsPerPage']*$_REQUEST['pageNum_Recordset2'];

// but do everything only as many times as there are items left in the treasury, regardless of itemsPerPage or you'll have empty slots on the last page
if($_SESSION['RecordSetArray'][0][$i]['name']!="")
{
	if ( $steps == "1" ) { $color = $color1; $steps = "2"; }
	else { $color = $color2; $steps = "1"; } ?>
	<tr valign="top" class="membersGroup">
    <td align="center" bgcolor="<?php print $color;?>" width="25%"><p><div class="treasurerName" align="left"><?php echo $_SESSION['RecordSetArray'][0][$i]['name'];?></div></p>    
	<?php
	$ordersKey = $TreasurySystem->loopOrders($_SESSION['RecordSetArray'][0][$i]['item_name'], "response", "item_name", $_SESSION['RecordSetArray'][0][$i]['member_id']);

	// check if someone has ordered the item
	if ($_SESSION['RecordSetArray'][0][$i]['item_name']==stripslashes($_SESSION['orders'][$ordersKey]['item_name']))
	{ 
		// if there's more than one on the treasurer, say the amount ordered, even if its just one.
		if (($_SESSION['orders'][$ordersKey]['reserved_quantity']>1) or (($_SESSION['RecordSetArray'][1][$i]['total_quantity']>1) and ($_SESSION['orders'][$ordersKey]['reserved_quantity']>=1)))
		{
			$TreasurySystem->loopOrders($_SESSION['RecordSetArray'][0][$i]['item_name'], "identify", $_SESSION['RecordSetArray'][0][$i]['member_id'], $_SESSION['orders'][$ordersKey]['treasurer_id']);
			for($l=1; $l<=$_SESSION['identifyOrdersResult']; $l++)
			{
				foreach($_SESSION['orderIdent'][$l] as $key => $value)
				{
					if($key == "order_id")
					{
						// set a different color for text for the "owner" of orders
						if($_SESSION['UserName']==$_SESSION['orderIdent'][$l]['name'])
						{
							$order_text_color = "orderOwnerName";
						} else {
							$order_text_color = "orderNormalName";
						}
						print "<span class='".$order_text_color."'>";
					  	print '<div align="left" style="padding-left:5px;">';
						print $wordings[$roster_lang]['orderedBy'].$_SESSION['orderIdent'][$l]['name']."<br>";
						print $wordings[$roster_lang]['quantity'].":&nbsp;".$_SESSION['orderIdent'][$l]['reserved_quantity']."<br>";
						if($_SESSION['Price']['Status']=="on"){
							if($price>0) print $wordings[$roster_lang]['cost'];
							$TreasurySystem->getPrice($_SESSION['RecordSetArray'][0][$i]['item_name'], "dummyValue", $_SESSION['orderIdent'][$l]['reserved_quantity']); ;
							print "</div><br><br>";
						} else {print "</div><br>";}
						
						// cancel order link-button to appear for the "owner" of the order
						if($_SESSION['UserName']==$_SESSION['orderIdent'][$l]['name'])
						{
						$Skipdropdownbox = "yes";
							?><br><div align="left" style="padding-left:5px;"><a class='gt_membersHeader' href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']), $TreasurySystem->updateURLforDelete($_SESSION['orderIdent'][$l]['order_id']));?>"><?php print $wordings[$roster_lang]['cancelOrder']; ?></a></div><br><br><?php
						} elseif($TreasurySystem->superUser("dummyValue")) {
							?><br><div align="left" style="padding-left:5px;"><a class='gt_membersHeader' href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']), $TreasurySystem->updateURLforDelete($_SESSION['orderIdent'][$l]['order_id']));?>"><?php print $wordings[$roster_lang]['cancelOrder']; ?></a></div><br><br><?php
						}
					}
				}
			}
			// check if the user is a member of the CMS
			if(isset($_SESSION['UserName']) && ($_SESSION['UserName']!=""))
			{
				if(!$TreasurySystem->superUser("dummyValue")) {
					// display a dropdown box with the remaining amount of items that can be ordered
					if($Skipdropdownbox !== "yes")
					{
						$TreasurySystem->loopOrders($_SESSION['RecordSetArray'][0][$i]['item_name'], "count", "dummyValue", "dummyValue");
						if(($_SESSION['RecordSetArray'][1][$i]['total_quantity']-$_SESSION['countOrders']['items_taken'])>=1)
						{
							?><div align="left" style="padding-left:5px;">
							<form action="<?php print sprintf("modules.php?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=".min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']).$TreasurySystem->updateURLforInsert(trim($_SESSION['RecordSetArray'][0][$i]['item_name']), $_SESSION['RecordSetArray'][1][$i]['member_id']));?>" method="post" name="quantityForm" id="quantityForm">
							<br><select name="quantity" class="gt_membersHeader">
							<?php
							for($j=1; $j<=$_SESSION['RecordSetArray'][1][$i]['total_quantity']-$_SESSION['orders'][$ordersKey]['reserved_quantity']; $j++){
									print "<option value='$j'>$j</option>";
							}
							?>
							</select><br><br>
							<input type="submit" value="<?php print $wordings[$roster_lang]['orderItems']; ?>" class="gt_membersHeader">
							</form></div>
							<?php
						}
					}
				}
			}
		} else { //dont tell the quantity if only 1 item of the sort was ordered and it was the only one available
			$TreasurySystem->loopOrders($_SESSION['RecordSetArray'][0][$i]['item_name'], "identify", $_SESSION['RecordSetArray'][0][$i]['member_id'], $_SESSION['orders'][$ordersKey]['treasurer_id']);
			for($l=1; $l<=$_SESSION['identifyOrdersResult']; $l++)
			{
				foreach($_SESSION['orderIdent'][$l] as $key => $value)
				{
					if($key == "order_id")
					{// set a different color for text for the "owner" of orders
						if($_SESSION['UserName']==$_SESSION['orderIdent'][$l]['name'])
						{
							$order_text_color = "orderOwnerName";
							} else {
							$order_text_color = "orderNormalName";
						}
						print "<span class='".$order_text_color."'>";
						print '<div align="left" style="padding-left:5px;">';
						print $wordings[$roster_lang]['orderedBy'].$_SESSION['orders'][$ordersKey]['name']."<br></div>";
						// cancel order link-button to appear for the "owner" of the order
						if($_SESSION['UserName']==$_SESSION['orderIdent'][$l]['name'])
						{
							?><br><div align="left" style="padding-left:5px;"><a class='gt_membersHeader' href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']), $TreasurySystem->updateURLforDelete($_SESSION['orders'][$ordersKey]['order_id']));?>"><?php print $wordings[$roster_lang]['cancelOrder']; ?></a></div><br><br><?php
						} elseif($TreasurySystem->superUser("dummyValue")) {
							?><br><div align="left" style="padding-left:5px;"><a class='gt_membersHeader' href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']), $TreasurySystem->updateURLforDelete($_SESSION['orders'][$ordersKey]['order_id']));?>"><?php print $wordings[$roster_lang]['cancelOrder']; ?></a></div><br><br><?php
						}
					}
				}
			}
		}
	} else {
		// if nobody has ordered the item yet, check if he's a member of the CMS, so that only members can order stuff
		if(isset($_SESSION['UserName']) && ($_SESSION['UserName']!=""))
		{
			if(!$TreasurySystem->superUser("dummyValue")) {
				// if there's more than one item, see if there are any left and display the dropdown box for ordering the remaining items
				if(($_SESSION['RecordSetArray'][1][$i]['total_quantity']-$_SESSION['orders'][$ordersKey]['reserved_quantity'])>1)
				{
					?><div align="left" style="padding-left:5px;">
					<form action="<?php print sprintf("modules.php?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=".min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']).$TreasurySystem->updateURLforInsert(trim($_SESSION['RecordSetArray'][0][$i]['item_name']), $_SESSION['RecordSetArray'][1][$i]['member_id']));?>" method="post" name="quantityForm" id="quantityForm">
					<br><select name="quantity" class="gt_membersHeader">
					<?php
					for($j=1; $j<=$_SESSION['RecordSetArray'][1][$i]['total_quantity']-$_SESSION['orders'][$ordersKey]['reserved_quantity']; $j++){
							print "<option value='$j'>$j</option>";
					}
					?>
					</select><br><br>
					<input type="submit" value="<?php print $wordings[$roster_lang]['orderItems']; ?>" class="gt_membersHeader" style="cursor: hand">
					</form></div>
					<?php
				} else {
					// if its a single item, make a normal link-button to order it
					?><br><div align="left" style="padding-left:5px;"><a class='gt_membersHeader' href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset']), $TreasurySystem->updateURLforInsert(urlencode(trim($_SESSION['RecordSetArray'][0][$i]['item_name'])), $_SESSION['RecordSetArray'][1][$i]['member_id'])."&quantity=1");?>"><?php print $wordings[$roster_lang]['orderItem']; ?></a></div><br><br><?php
				}
			}
		}
	}
	?>
	  
      </span><br>
	</td>
    <td width="5%" align="center" bgcolor="<?php print $color;?>"><div class="item"><?php 
	$item_texture=str_replace('\\','/',$_SESSION['RecordSetArray'][0][$i]['item_texture']); 
	print '<a target="_blank" href="'.$itemlink['enUS'].urlencode($_SESSION['RecordSetArray'][0][$i]['item_name']).'"><img border="0" src="modules/roster/img/'.$item_texture.'.jpg" alt="Click to get additional information on '.$_SESSION['RecordSetArray'][0][$i]['item_name'].'"></a>';
	if ($_SESSION['RecordSetArray'][1][$i]['total_quantity']>1) {
    	print "<span class='quant'>".$_SESSION['RecordSetArray'][1][$i]['total_quantity']."</span>";
    }
	?></div></td>
    <td width="250px" nowrap bgcolor="<?php print $color;?>"><div style="padding-left:5px;">
	<?php 
	$rowcolor = $color;
	$first_line = True;
  	foreach (explode("\n", $_SESSION['RecordSetArray'][0][$i]['item_tooltip']) as $line ) {
		$class="tooltipline"; 
		if( $first_line ) { 
		  $color = substr( $_SESSION['RecordSetArray'][0][$i]['item_color'], 2, 6 ); 
		  $first_line = False; 
		  $class="tooltipheader"; 
		} else { 
		  if( substr( $line, 0, 2 ) == '|c' ) { 
		$color = substr( $line, 4, 6 ); 
		$line = substr( $line, 10, -2 ); 
		  } else if ( substr( $line, 0, 4 ) == "Use:" ) { 
		$color = '00ff00'; 
		  } else { 
		$color='ffffff'; 
		  }
    }
    $line = preg_replace('|\\>|','&gt;', $line ); 
    $line = preg_replace('|\\<|','&lt;', $line ); 
    if( $line == '' ) { 
      $line = '&nbsp;'; 
    }
    echo "<span style='color:#".$color."' class='itemDescription'>".$line."</span><br>";
  	}
	?></div></td>
	<?php if($_SESSION['Price']['Status']=="on")
	{ 
		if(!$TreasurySystem->superUser("dummyValue")) {
			?><td align="center" nowrap bgcolor="<?php print $rowcolor;?>" width="100px"><?php $TreasurySystem->getPrice($_SESSION['RecordSetArray'][0][$i]['item_name'], $_SESSION['RecordSetArray'][1][$i]['total_quantity'], "dummyValue"); ?></td><?php 
		} else {
			?><td align="center" nowrap bgcolor="<?php print $rowcolor;?>" width="10%">
			<?php 
			$TreasurySystem->getPrice($_SESSION['RecordSetArray'][0][$i]['item_name'], $_SESSION['RecordSetArray'][1][$i]['total_quantity'], "dontPrint"); 
			if($_SESSION['money']!=NULL)
			{
				foreach ($_SESSION['money'] as $key => $value)
				{
					if($key == 0){ $display_gold = $value;}
					if($key == 1){ $display_silver = $value;}
					if($key == 2){ $display_copper = $value;}
					if($key == 3){ $type = $value;}
					if($key == 4){ $stackSize = $value;}
				}
				if($type=="DKP"){ $display_dkp = $display_copper;}
				if($display_gold==0){$display_gold="";}
				if($display_silver==0){$display_silver="";}
				if($display_copper==0){$display_copper="";}
			}
			?>
			<form action="<?php print sprintf("modules.php?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=".min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset'])."&itemName=".base64_encode($_SESSION['RecordSetArray'][0][$i]['item_name'])."&setOrGet=set");?>" method='post' name='setPrice'>
			<input name="gold" type="text" class="gt_membersHeader" style='color: #FFE25B' value="<?php print $display_gold; ?>" size="2" maxlength="4"><img src='modules/roster/img/bagcoingold.gif' />&nbsp; 
			<input name="silver" type="text" class="gt_membersHeader" maxlength="2" size="1" style='color: #E7E7E7' value="<?php print $display_silver; ?>"><img src='modules/roster/img/bagcoinsilver.gif' />&nbsp; 
			<input name="copper" type="text" class="gt_membersHeader" style='color: #C5922D' size="1" maxlength="2" value="<?php if($type!=="DKP"){print $display_copper;} ?>"><img src='modules/roster/img/bagcoinbronze.gif' /><br><br>
			<input name="DKP" type="text" class="gt_membersHeader" maxlength="4" size="2" style='color: #E7E7E7' value="<?php print $display_dkp; ?>">&nbsp; <label style='color: #E7E7E7'>DKP</label><br><br>
			<select name="stack_size" class="gt_membersHeader">
			  <?php if($stackSize>=1){ print "<option value=".$stackSize.">".$stackSize."</option>"; } ?>
			  <option value="1">1</option>
			  <option value="5">5</option>
			  <option value="10">10</option>
			  <option value="20">20</option>
			</select><label style='color: #E7E7E7'><?php print $wordings[$roster_lang]['stackSize']; ?></label><br><br>
            <select name="type" class="gt_membersHeader">
			<?php if($type!=="DKP"){?>
					<option value="Gold"><?php print $wordings[$roster_lang]['gold']; ?></option>
					<option value="DKP">DKP</option>
			<?php }else{?>
					<option value="DKP">DKP</option>
					<option value="Gold"><?php print $wordings[$roster_lang]['gold']; ?></option><?php } ?>
			</select>&nbsp;&nbsp;
			<input name="set" type="submit" class="gt_membersHeader" value="<?php print $wordings[$roster_lang]['save']; ?>"><br><br>
			</form>
			<?php $_SESSION['money'] = array(); $display_gold=NULL; $display_silver=NULL; $display_copper=NULL; $display_dkp=NULL; ?>
			</td><?php
		}
	} ?>
	</tr>
<?php 
	} 
}
?>  
<tr class="gt_membersHeader">
    <th align="left"><a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", 0, $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['first']; ?></a>&nbsp;|&nbsp;<a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", max(0, $_SESSION['pageNum_Recordset'] - 1), $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['previous']; ?></a> </th>
    <?php if($_SESSION['Price']['Status']=="on"){?><th colspan="2" align="center"><?php $TreasurySystem->pageNumbering(); ?></th><th align="right"><a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset'] + 1), $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['next']; ?></a>&nbsp;|&nbsp;<a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", $_SESSION['totalPages_Recordset'], $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['last']; ?></a>&nbsp;</th>
		<?php } else { ?> <th colspan="2" align="right"><div align="left"><?php $TreasurySystem->pageNumbering(); ?></div><a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", min($_SESSION['totalPages_Recordset'], $_SESSION['pageNum_Recordset'] + 1), $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['next']; ?></a>&nbsp;|&nbsp;<a href="<?php printf("%s?name=roster&op=addon&roster_addon_name=treasurySystem&username=".$_SESSION['UserName']."&pageNum_Recordset2=%d%s", "modules.php", $_SESSION['totalPages_Recordset'], $_SESSION['queryString_Recordset2']); ?>"><?php print $wordings[$roster_lang]['last']; ?></a>&nbsp;</th> <?php } ?>
</tr>
</table>
<!-- ////// And ends here \\\\\\ -->
<?php } elseif(!empty($_SESSION['membersOnly']) && empty($_SESSION['UserName'])){ ?>
<div class="gt_membersHeader">This area is restricted to guild members only.</div>
<?php } ?>
</div>
</td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r2_c7.gif);">&nbsp;</td>
  </tr>
  <tr>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r5_c1.gif);"><label style="height:51px; width:244px; padding-top:20px; padding-left:30px; color:#FFFFFF; font-size:12px;"><?php print $wordings[$roster_lang]['total']; $TreasurySystem->totalOrdersCost(); ?></label></td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r5_c4.gif);" ><div style="padding-top:5px;"><a class="gt_membersHeader" href="<?php print 'modules.php?name=roster&op=addon&roster_addon_name=treasurySystem'; ?>"><?php print $wordings[$roster_lang]['reAuthenticate']; ?></a></div></td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r5_c7.gif); height:51px;">&nbsp;</td>
  </tr>
</table>
<!--//////// These are the design elements around the content area \\\\\\\\-->
</div>
<?php
$content = ob_get_contents();
ob_end_clean();

?>