<?php 
ob_start();

// Load the settings
require_once 'addon_config.php';
// Load the class file
require_once 'treasurySystem.php';

// Initialize the system, the order is very important
$TreasurySystem = new TreasurySystem();
$TreasurySystem->settings();

?>

<link href="modules/roster/addons/treasurySystem/css/styles.css" rel="stylesheet" type="text/css">
<link href="css/styles.css" rel="stylesheet" type="text/css">

<div align="center" >
<!--//////// These are the design elements around the content area \\\\\\\\-->
<table width="95%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="18%" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r1_c1.gif); height:130px;">&nbsp;</td>
    <td width="78%" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r1_c3.gif); height:130px; font-size:14px; font-weight:bold; color:#CBA300; vertical-align:text-top;"><div class="treasuryTitle" align="center"><?php print $wordings[$roster_lang]['browseTreasury']; ?></div></td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r1_c7.gif); width:39px; ">&nbsp;</td>
  </tr>
  <tr>
    <td valign="top" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r2_c1.gif);">
	<!-- /////// Side menu starts here \\\\\\\\ -->
	  <div class="sideMenuButtons" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/filter_menu_button.jpg);" align="center"><a href="modules.php?name=roster&op=addon&roster_addon_name=treasurySystem&username=<?php print $_SESSION['UserName']; ?>"><span class="sideMenuButtonText">Treasury System</span></a></div><br>	
	  <?php if($TreasurySystem->loanSystemExists()){ ?>
	  <div class="sideMenuButtons" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/filter_menu_button.jpg);" align="center"><a href="modules.php?name=roster&op=addon&roster_addon_name=loanSystem"><span class="sideMenuButtonText">Loan System</span></a></div>
	  <?php } ?>
	  <div class="sideMenuButtons" style="background-image:url(modules/roster/addons/treasurySystem/images/interface/filter_menu_button.jpg);" align="center"><a href="modules.php?name=roster"><span class="sideMenuButtonText">Back to the Roster</span></a></div>
	<!-- /////// And ends here \\\\\\\\ --> 
	</td>
    <td bgcolor="#141414">
<div>
<!-- ////// Content starts here \\\\\\ -->
<?php if(empty($_SESSION['membersOnly']) || ($_SESSION['membersOnly'] == 'on' && !empty($_SESSION['UserName']))) { ?>

<table width="100%"  border="0">
  <tr class="gt_membersHeader">
    <th scope="col" class="tableHeaderText"><?php print $wordings[$roster_lang]['treasurer']; ?></th>
    <th scope="col" class="tableHeaderText"><?php print $wordings[$roster_lang]['member']; ?></th>
    <th scope="col" class="tableHeaderText"><?php print $wordings[$roster_lang]['item']; ?></th>
    <th scope="col" class="tableHeaderText"><?php print $wordings[$roster_lang]['quantity']; ?></th>
    <th scope="col" class="tableHeaderText"><?php print $wordings[$roster_lang]['price']; ?></th>
  </tr>
<?php  $showOrdersArray = $TreasurySystem->showOrders();
		for($i=1; $i<=count($showOrdersArray); $i++){
		extract($showOrdersArray[$i]);
		if ( $steps == "1" ) { $color = $color1; $steps = "2"; }
		else { $color = $color2; $steps = "1"; } 
?>
  <tr bgcolor="<?php print $color;?>">
    <td><?php print $treasurer_name; ?></td>
    <td><?php print $name; ?></td>
    <td><?php $item_texture=str_replace('\\','/',$item_icon); print "<img src='modules/roster/img/".$item_texture.".jpg' border='0'>"; ?><font color="#<?php print $item_color; ?>" class="orderStatusItemName"><?php print $item_name; ?></font></td>
    <td><?php print $reserved_quantity; ?></td>
    <td><?php print $item_price; ?></td>
  </tr>
<?php $item_price = NULL;} ?>
</table>
<?php } elseif(!empty($_SESSION['membersOnly']) && empty($_SESSION['UserName'])){ ?>
<div class="gt_membersHeader">This area is restricted to guild members only.</div>
<?php } ?>
<!-- ////// And ends here \\\\\\ -->
</div>
</td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r2_c7.gif); width:39px;">&nbsp;</td>
  </tr>
  <tr>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r5_c1.gif);"><label style="height:51px; width:244px; padding-top:20px; padding-left:30px; color:#FFFFFF; font-size:12px;">&nbsp;</label></div></td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r5_c4.gif);" ><div style="padding-top:5px;">&nbsp;</div></td>
    <td style="background-image:url(modules/roster/addons/treasurySystem/images/interface/ah_r5_c7.gif); width:39px; height:51px;" >&nbsp;</td>
  </tr>
</table>
<!--//////// These are the design elements around the content area \\\\\\\\-->
</div>
<?php
$content = ob_get_contents();
ob_end_clean();
?>